Subject: bug#33230: 26.1; Soft-wrap issue in term.el with term-suppress-hard-newline

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Nov 2018 19:18:12 +0200

> Date: Tue, 13 Nov 2018 10:07:53 +0100
> From: martin rudalics <[email-masked]>
> CC: Noam Postavsky <[email-masked]>, [email-masked], 
>  "[email-masked]" <[email-masked]>
> 
>  >> Attached find a patch for this against the release branch.  Please try
>  >> it.
>  >
>  > Thanks martin, I confirm that after applying your patch on the 26.1
>  > release, COLUMNS is correctly updated in the shell at each frame
>  > resize while it is not without the patch.
> 
> Eli - is this OK to install on the release branch?  It restores the
> behavior of Emacs 25 to fix a bug introduced in 26.1.

I'm too confused about this to be able to make up my mind.  Please
help me figure out what am I missing.

You said up-thread:

> > Another issue I found that may need to be addressed to get a behavior
> > similar to gnome-terminal above is that the shell is not aware
> > (checking $COLUMS) of when the frame is resized, only when its window
> > is resized and there is another window on the side.
> 
> FWIW this is Bug#32720 for which I am responsible.  It will be fixed
> in Emacs 26.2 by reestablishing the behavior of Emacs 25.

And your proposed change runs window-configuration-change-hook in two
additional places.

My confusion about this is twofold: (1) the original report for this
bug doesn't seem to involve any resizing of a frame, and (2) the ELisp
manual explicitly says that "resizing the frame or individual windows
do not count as configuration changes", and thus this hook shouldn't
be run when the frame is resized.

So how does the proposed change fix the problem at hand, and why do
you want to do exactly what the ELisp manual says we don't?

Thanks.